'use strict'

const co = require('co')
const KoaRouter = require('koa-router')

module.exports = {
  $children: {
    $child01: require.resolve('./mock-child-Apemanfile.js')
  },
  $apps: {
    'my-testing-app': {
      '/foo': [
        new KoaRouter()
          .all('/bar/baz', co.wrap(function * (ctx) {
            ctx.body = 'This is it!'
          }))
          .routes()
      ]
    }
  }
}
