/** Example of Apemanfile.js */

'use strict'

const co = require('co')

module.exports = {
  $cwd: __dirname,
  $pkg: { /* ... */ },
  $tmpls: { /* ... */ },
  $tasks: { /* ... */ },
  $apps: {
    'my-awesome-app': {
      '/': [
        require('apeman-app-static')('public')
      ],
      '/api': [
        require('apeman-app-delay')(300),
        require('apeman-app-log')({}),
        co.wrap(function * (ctx, next) {
          yield next()
        }),
        require('apeman-app-route')({
          /* ... */
          '/users/:user_id': {
            GET: co.wrap(function * (ctx) {
              /* ... */
            })
          }
        })
      ]
    }
  },
  $wtchs: { /* ... */ }
}
